---

http:
  middlewares:
    rate-limit-std:
      rateLimit:
        average: 30
        burst: 50

    rate-limit-high:
      rateLimit:
        average: 100
        burst: 200

    inflight-std:
      inFlightReq:
        amount: 100

    inflight-high:
      inFlightReq:
        amount: 300

    security-headers:
      headers:
        contentTypeNosniff: True
        browserXssFilter: True
        # customFrameOptionsValue: sameorigin
        customResponseHeaders:
          Server: ""
          X-Powered-By: ""
          X-Envoy-Upstream-Service-Time: ""

    hsts:
      headers:
        forceSTSHeader: True
        stsIncludeSubdomains: True
        stsSeconds: 63072000
        stsPreload: True

    csp-strict:
      headers:
        contentSecurityPolicy: "default-src 'self'; img-src 'self' data:; style-src 'self' 'unsafe-inline'"

    csp-relaxed:
      headers:
       contentSecurityPolicy: "default-src 'self'; img-src 'self' data:; script-src 'self' 'unsafe-inline' 'unsafe-eval'; style-src 'self' 'unsafe-inline'; font-src 'self' data:"
