[all]
logLevel = notice
logger = Lemonldap::NG::Common::Logger::Std
userLogger = Lemonldap::NG::Common::Logger::Std
localSessionStorage = Cache::FileCache
localSessionStorageOptions = {        \
  'namespace'          => 'sessions', \
  'default_expires_in' => '60',       \
  'directory_umask'    => '007',      \
  'cache_root'         => '/tmp',     \
  'cache_depth'        => 3           \
}
[[- range $idx, $module := coll.Slice "global" "persistent" ]]
[[ $module ]]Storage = Lemonldap::NG::Common::Apache::Session::REST
[[ $module ]]StorageOptions = { \
  baseUrl  => "[[ $.lemonldap.sessions.url ]]/[[ $module ]]", \
[[- if and (has $.lemonldap.sessions "user") (has $.lemonldap.sessions "password") (has $.lemonldap.sessions "realm") ]]
  user     => "[[ $.lemonldap.sessions.user ]]", \
  password => "[[ $.lemonldap.sessions.password ]]", \
  realm    => "[[ $.lemonldap.sessions.realm ]]", \
[[- end ]]
}
[[- end ]]

[configuration]
type = REST
baseUrl = [[ .lemonldap.config.url ]]
[[- if and (has .lemonldap.config "user") (has .lemonldap.config "password") (has .lemonldap.config "realm") ]]
user = [[ .lemonldap.config.user ]]
password = [[ .lemonldap.config.password ]]
realm = [[ .lemonldap.config.realm ]]
[[- end ]]
localStorage = Cache::FileCache
localStorageOptions = {             \
  'namespace'          => 'config', \
  'default_expires_in' => '60',     \
  'directory_umask'    => '007',    \
  'cache_root'         => '/tmp',   \
  'cache_depth'        => 0         \
}

